Bug 468007 - Openfiler 2.3 guest hangs during boot
Openfiler 2.3 guest hangs during boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kvm (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Glauber Costa
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 555199
  Show dependency treegraph
 
Reported: 2008-10-22 06:52 EDT by Daniel Berrange
Modified: 2014-11-10 07:05 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:10:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Hang when serial port is enabled, but not used for console (39.91 KB, image/png)
2008-10-22 06:52 EDT, Daniel Berrange
no flags Details
Hang when console configured for 'console=ttyS0 console=tty' in grub (6.78 KB, text/plain)
2008-10-22 06:53 EDT, Daniel Berrange
no flags Details

  None (edit)
Description Daniel Berrange 2008-10-22 06:52:04 EDT
Description of problem:
I attempted to install the OpenFiler 2.3  x86_64  ISO release in a KVM guest running on Fedora 9 x86_64 host

http://www.openfiler.com/community/download/

The installation completes without trouble, but the subsequent boot hangs. At first it will hang during IDE probe & eventually print a message about TSC being unstable - see attached screenshot.

If i configure & activate a serial console, then it hangs probing that instead.

Version-Release number of selected component (if applicable):
openfiler 2.3 x86_64
host kernel 2.6.25.10-86.fc9.x86_64
kvm-65-9.fc9.x86_64

How reproducible:
Always

Steps to Reproduce:
1. virt-install --cdrom /root/openfiler%2F16340%2Fopenfiler-2.3-x86_64-disc1.iso --hvm --file /dev/HostVG/openfiler23 --ram 600 --name openfiler23 --vnc --accelerate -k en-us --network network:default 
2. Go through installation
3. Wait for post-installation boot attempt
  
Actual results:
Hangs

Expected results:
Doesn't hang

Additional info:
Comment 1 Daniel Berrange 2008-10-22 06:52:44 EDT
Created attachment 321133 [details]
Hang when serial port is enabled, but not used for console
Comment 2 Daniel Berrange 2008-10-22 06:53:31 EDT
Created attachment 321135 [details]
Hang when console configured for 'console=ttyS0 console=tty' in grub
Comment 3 Daniel Berrange 2008-10-22 06:54:23 EDT
The guest kernel openfiler 2.3 uses is  2.6.24.7-0.2.6.smp.gcc3.4.x86_64

I have lots of RHEL-5 guests on the same machine with work as expected.
Comment 4 Glauber Costa 2008-12-05 10:38:39 EST
Can't reproduce it here, Daniel

Do you have any other sort of info that might be helpful ? Anything suspicious in host dmesg?
Comment 5 Mark McLoughlin 2009-04-20 06:10:18 EDT
Dan, does this happen in F11? If not, we should probably just close
Comment 6 Bug Zapper 2009-06-09 23:02:52 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 10:10:28 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.